Loading...
Searching...
No Matches
Opm::WCYCLE::Entry Struct Reference

Represents a single record in a WCYCLE keyword. More...

`#include <WCYCLE.hpp>`

## Public Member Functions

template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
bool | operator== (const Entry &entry) const
| Equality predicate.

## Public Attributes

double | on_time {}
| Length of well open period.
double | off_time {}
| Length of well closed period.
double | startup_time {}
| Time interval to scale up well efficiency factor.
double | max_time_step {}
| Maximum time step when a cycling well opens.
bool | controlled_time_step {false}
| Whether or not to.

## Detailed Description

Represents a single record in a WCYCLE keyword.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/WCYCLE.hpp
- opm/input/eclipse/Schedule/Well/WCYCLE.cpp